
package com.winhc.bigdata.spark.ng.change.table

import com.winhc.bigdata.spark.ng.change.NgCompanyChangeHandle
import com.winhc.bigdata.spark.utils.{ChangeExtractUtils, DateUtils}

/**
 * @Author: XuJiakai
 * @Date: 2020/7/9 16:44
 * @Description:
 */
//商标
case class company_tm(equCols: Seq[String]) extends NgCompanyChangeHandle {
  /**
   * 如果数据发生更新，则显示该标题
   *
   * @param newMap
   * @return
   */
  override protected def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("tm_name"), s"${newMap("tm_name")}商标发生变更")

  /**
   * 如果数据发生新增，则显示该标题
   *
   * @param newMap
   * @return
   */
  override protected def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("tm_name"), s"新增${newMap("tm_name")}商标")

  /**
   * 如果数据发生移除，则显示该标题，deleted:x->9 删除不算
   *
   * @param newMap
   * @return
   */
  override protected def getDeletedTitle(newMap: Map[String, String]): String = null

  /**
   * 用于展示的标签
   *
   * @param oldMap
   * @param newMap
   * @return
   */
  override protected def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.get_ip_tags("商标", newMap("tm_name"), newMap("app_date"), newMap("reg_no"))


  /**
   * 获取变更的业务时间
   *
   * @param newMap
   * @return
   */
  override protected def getBizDate(newMap: Map[String, String]): String = DateUtils.getBizDate(newMap("app_date"), newMap("update_time"))

}
